## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-quart-trio
Version:        0.12.0
Release:        %autorelease
Summary:        A Quart extension to provide trio support

# SPDX
License:        MIT
URL:            https://github.com/pgjones/quart-trio
# PyPI source distributions lack tests, changelog, etc.; use the GitHub archive
Source:         %{url}/archive/%{version}/quart-trio-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(generate_buildrequires): -t
BuildOption(install):   -L quart_trio

# Downstream-only: patch out coverage analysis
# 
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
Patch:          0001-Downstream-only-patch-out-coverage-analysis.patch

BuildArch:      noarch

%global common_description %{expand:
Quart-Trio is an extension for Quart to support the Trio event loop. This is an
alternative to using the asyncio event loop present in the Python standard
library and supported by default in Quart.}

%description %{common_description}


%package -n python3-quart-trio
Summary:        %{summary}

%description -n python3-quart-trio %{common_description}


%check -a
%tox -- -- -v


%files -n python3-quart-trio -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.rst
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Fri Jun 13 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-4
- Rebuilt for Python 3.14 (fix RHBZ#2372093)

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-3
- F41+: Use the provisional pyproject declarative buildsystem

* Wed May 07 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.12.0-2
- Update (delete) .rpmlintrc file for latest rpmlint

* Tue Feb 11 2025 Packit <hello@packit.dev> - 0.12.0-1
- Update to 0.12.0 upstream release
- Resolves: rhbz#2336842

* Mon Feb 10 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.11.1-7
- Fix test failures with anyio 4 (breaks asyncio 3)

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 0.11.1-2
- Rebuilt for Python 3.13

* Wed Jun 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.11.1-1
- Initial package (close RHBZ#2262281)
## END: Generated by rpmautospec
